/**
 * Portal component to move content to end of body instead of normal DOM position. Typically used for popups
 * to prevent problems with CSS stylings.
 *
 * Does not move styles, so create a child component that has styles defined in shadow DOM.
 */
export declare class KlevuUtilPortal {
  el: HTMLKlevuUtilPortalElement;
  root?: HTMLDivElement;
  connectedCallback(): void;
  createRoot(): void;
  disconnectedCallback(): void;
  render(): any;
}
